	component DE0_NANO_QSYS is
		port (
			altpll_areset_conduit_export                    : in    std_logic                     := 'X';             -- export
			altpll_locked_conduit_export                    : out   std_logic;                                        -- export
			altpll_phasedone_conduit_export                 : out   std_logic;                                        -- export
			altpll_sdram_clk                                : out   std_logic;                                        -- clk
			clk_clk                                         : in    std_logic                     := 'X';             -- clk
			key_external_connection_export                  : in    std_logic_vector(1 downto 0)  := (others => 'X'); -- export
			reset_reset_n                                   : in    std_logic                     := 'X';             -- reset_n
			sdram_wire_addr                                 : out   std_logic_vector(12 downto 0);                    -- addr
			sdram_wire_ba                                   : out   std_logic_vector(1 downto 0);                     -- ba
			sdram_wire_cas_n                                : out   std_logic;                                        -- cas_n
			sdram_wire_cke                                  : out   std_logic;                                        -- cke
			sdram_wire_cs_n                                 : out   std_logic;                                        -- cs_n
			sdram_wire_dq                                   : inout std_logic_vector(15 downto 0) := (others => 'X'); -- dq
			sdram_wire_dqm                                  : out   std_logic_vector(1 downto 0);                     -- dqm
			sdram_wire_ras_n                                : out   std_logic;                                        -- ras_n
			sdram_wire_we_n                                 : out   std_logic;                                        -- we_n
			ethernet_wiznet_5100_0_conduit_end_wiznet_ss_n  : out   std_logic;                                        -- wiznet_ss_n
			ethernet_wiznet_5100_0_conduit_end_wiznet_sclk  : out   std_logic;                                        -- wiznet_sclk
			ethernet_wiznet_5100_0_conduit_end_wiznet_mosi  : out   std_logic;                                        -- wiznet_mosi
			ethernet_wiznet_5100_0_conduit_end_wiznet_miso  : in    std_logic                     := 'X';             -- wiznet_miso
			ethernet_wiznet_5100_0_conduit_end_wiznet_reset : out   std_logic                                         -- wiznet_reset
		);
	end component DE0_NANO_QSYS;

	u0 : component DE0_NANO_QSYS
		port map (
			altpll_areset_conduit_export                    => CONNECTED_TO_altpll_areset_conduit_export,                    --              altpll_areset_conduit.export
			altpll_locked_conduit_export                    => CONNECTED_TO_altpll_locked_conduit_export,                    --              altpll_locked_conduit.export
			altpll_phasedone_conduit_export                 => CONNECTED_TO_altpll_phasedone_conduit_export,                 --           altpll_phasedone_conduit.export
			altpll_sdram_clk                                => CONNECTED_TO_altpll_sdram_clk,                                --                       altpll_sdram.clk
			clk_clk                                         => CONNECTED_TO_clk_clk,                                         --                                clk.clk
			key_external_connection_export                  => CONNECTED_TO_key_external_connection_export,                  --            key_external_connection.export
			reset_reset_n                                   => CONNECTED_TO_reset_reset_n,                                   --                              reset.reset_n
			sdram_wire_addr                                 => CONNECTED_TO_sdram_wire_addr,                                 --                         sdram_wire.addr
			sdram_wire_ba                                   => CONNECTED_TO_sdram_wire_ba,                                   --                                   .ba
			sdram_wire_cas_n                                => CONNECTED_TO_sdram_wire_cas_n,                                --                                   .cas_n
			sdram_wire_cke                                  => CONNECTED_TO_sdram_wire_cke,                                  --                                   .cke
			sdram_wire_cs_n                                 => CONNECTED_TO_sdram_wire_cs_n,                                 --                                   .cs_n
			sdram_wire_dq                                   => CONNECTED_TO_sdram_wire_dq,                                   --                                   .dq
			sdram_wire_dqm                                  => CONNECTED_TO_sdram_wire_dqm,                                  --                                   .dqm
			sdram_wire_ras_n                                => CONNECTED_TO_sdram_wire_ras_n,                                --                                   .ras_n
			sdram_wire_we_n                                 => CONNECTED_TO_sdram_wire_we_n,                                 --                                   .we_n
			ethernet_wiznet_5100_0_conduit_end_wiznet_ss_n  => CONNECTED_TO_ethernet_wiznet_5100_0_conduit_end_wiznet_ss_n,  -- ethernet_wiznet_5100_0_conduit_end.wiznet_ss_n
			ethernet_wiznet_5100_0_conduit_end_wiznet_sclk  => CONNECTED_TO_ethernet_wiznet_5100_0_conduit_end_wiznet_sclk,  --                                   .wiznet_sclk
			ethernet_wiznet_5100_0_conduit_end_wiznet_mosi  => CONNECTED_TO_ethernet_wiznet_5100_0_conduit_end_wiznet_mosi,  --                                   .wiznet_mosi
			ethernet_wiznet_5100_0_conduit_end_wiznet_miso  => CONNECTED_TO_ethernet_wiznet_5100_0_conduit_end_wiznet_miso,  --                                   .wiznet_miso
			ethernet_wiznet_5100_0_conduit_end_wiznet_reset => CONNECTED_TO_ethernet_wiznet_5100_0_conduit_end_wiznet_reset  --                                   .wiznet_reset
		);

